UMLe ActiveX Controls

Overview Diagram

DRCConfig (User Control)

Editor (User Control)

ProjectExplorer (User Control)

Tree (User Control)

Global (Class Module)


References

FileName | Version | Size | Description
STDOLE2.TLB | 2.40.4275.1 | 17920 | OLE Automation
UMLeDSS.dll | 0.1.0.0 | 167936 | UMLe Data Structure Server
MSCOMCTL.OCX | 6.0.84.98 | 1064456 | MSComctlLib


DRCConfig object


Editor object

U U M M L
U U MM MM L
U U M M M M L eeeeee
U U M M M L e e
U U M M L eeeeeeee
U U M M L e
UUUUU M M LLLLLL eeeeee

Universidade do Minho
Departamento de Informática 1998

Type - User Control
Description - This is the class that acts as the basic Editor

Author - Paulo Jorge Ribeiro Moreira
Miguel Jorge Fontes
Jorge Duarte Sottomaior Braga Baptista


Global object


ProjectExplorer object


Tree object

UMLe - Universidade do Minho - Departamento de Informática 1998

Tipo - ActiveX Control

Descrição - Este é o ActiveX Control que implementa uma árvore hierárquica que
descreve a hierarquia associada a um dado projecto

Autor - Jorge Duarte Sottomaior Braga Baptista


SelectedCellInstances collection

Collection type

A Collection object.

Syntax

object.SelectedCellInstances

The SelectedCellInstances property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.


SelectedRectangles collection

WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
MemberInfo=14,0,2,0

Collection type

A Collection object.

Syntax

object.SelectedRectangles

The SelectedRectangles property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.


AboutBox method

Syntax

object.AboutBox

The AboutBox method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.


BestFit method

Syntax

object.BestFit

The BestFit method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.


CarregarEstrutura method

Syntax

object.CarregarEstrutura vProjecto

The CarregarEstrutura method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Tree.
vProjecto | Required. A LayoutProject object.


Config method

Return Type

A Boolean value.

Syntax

object.Config (vProject)

The Config method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type DRCConfig.
vProject | Required. A LayoutProject object.


ExpandirTodos method

Syntax

object.ExpandirTodos

The ExpandirTodos method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Tree.


flip_horizontal method

Faz uma rotacao sob o plano horizontal

Syntax

object.flip_horizontal

The flip_horizontal method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.


flip_vertical method

faz uma rotaçao sob o plano vertical

Syntax

object.flip_vertical

The flip_vertical method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.


InstanceCell method

Return Type

A Variant value.

Syntax

object.InstanceCell (x, y, Cell)

The InstanceCell method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.
x | Required. A Long value.
y | Required. A Long value.
Cell | Required. A Cell object.


Load method

Syntax

object.Load Project

The Load method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ProjectExplorer.
Project | Required. A LayoutProject object.


LoadCell method

Return Type

A Variant value.

Syntax

object.LoadCell (LayoutProject, Cell)

The LoadCell method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.
LayoutProject | Required. A LayoutProject object.
Cell | Required. A Cell object.


PanDown method

Syntax

object.PanDown Value

The PanDown method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.
Value | Required. A Long value.


PanLeft method

==================================================
Objectivo: PanLeft

Inputs:

Outputs:
==================================================

Syntax

object.PanLeft Value

The PanLeft method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.
Value | Required. A Long value.


PanRight method

Syntax

object.PanRight Value

The PanRight method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.
Value | Required. A Long value.


PanUp method

Syntax

object.PanUp Value

The PanUp method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.
Value | Required. A Long value.


Refrescar method

Return Type

A Variant value.

Syntax

object.Refrescar

The Refrescar method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Tree.


Refresh method

Faz o refrescamento da picture box

Syntax

object.Refresh

The Refresh method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.


rotate_left method

Syntax

object.rotate_left

The rotate_left method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.


rotate_right method

Syntax

object.rotate_right

The rotate_right method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.


zoom_bestFit method

Syntax

object.zoom_bestFit X1, X2, Y1, Y2

The zoom_bestFit method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.
X1 | Required. A Long value.
X2 | Required. A Long value.
Y1 | Required. A Long value.
Y2 | Required. A Long value.


ZoomIn method

Syntax

object.ZoomIn

The ZoomIn method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.


ZoomOut method

Syntax

object.ZoomOut

The ZoomOut method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.


ActiveLayer property

WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
MemberInfo=14,0,2,0

Property type

An UMLeDSS.Layer object.

Syntax

[Set] object.ActiveLayer [= UMLeDSS.Layer]

The ActiveLayer property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.
UMLeDSS.Layer | An UMLeDSS.Layer object.


AxisOrigin property

WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
MemberInfo=0,0,0,True

Property type

A Boolean value.

Syntax

object.AxisOrigin [= value]

The AxisOrigin property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.
value | A Boolean value.


Cell property

Property type

An UMLeDSS.Cell object.

Syntax

object.Cell

The Cell property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.


LayoutProject property

Property type

A LayoutProject object.

Syntax

[Set] object.LayoutProject [= LayoutProject]

The LayoutProject property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ProjectExplorer.
LayoutProject | A LayoutProject object.


SelectedCell property

WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
MemberInfo=14,0,0,0

Property type

A Cell object.

Syntax

object.SelectedCell

The SelectedCell property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ProjectExplorer.


ShowInsides property

WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
MemberInfo=0,0,0,0

Property type

A Boolean value.

Syntax

object.ShowInsides [= value]

The ShowInsides property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.
value | A Boolean value.


Tool property

WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
MemberInfo=24,0,2,0

Property type

An UMLeEditorTypeConstants value.

Syntax

[Set] object.Tool [= UMLeEditorTypeConstants]

The Tool property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Editor.
UMLeEditorTypeConstants | An UMLeEditorTypeConstants value.


AfterLabelEdit event

Event Declarations:

Syntax

Sub object_AfterLabelEdit([index,] Cancel, NewString)

The AfterLabelEdit event syntax has these parts:

Part | Description
object | A ProjectExplorer object.
Index | An integer that uniquely identifies a control if it's in a control array.
Cancel | An Integer value.
NewString | A String value.


AreaSelected event

Syntax

Sub object_AreaSelected([index,] X1, X2, Y1, Y2, Cancel)

The AreaSelected event syntax has these parts:

Part | Description
object | An Editor object.
Index | An integer that uniquely identifies a control if it's in a control array.
X1 | A Long value.
X2 | A Long value.
Y1 | A Long value.
Y2 | A Long value.
Cancel | A Boolean value.


BeforeLabelEdit event

Syntax

Sub object_BeforeLabelEdit([index,] Cancel)

The BeforeLabelEdit event syntax has these parts:

Part | Description
object | A ProjectExplorer object.
Index | An integer that uniquely identifies a control if it's in a control array.
Cancel | An Integer value.


CellClick event

Evento que é gerado quando um nó contendo
uma Cell é clicado

Syntax

Sub object_CellClick([index,] Cell)

The CellClick event syntax has these parts:

Part | Description
object | A ProjectExplorer object.
Index | An integer that uniquely identifies a control if it's in a control array.
Cell | A Cell object.


CellClick event

Os eventos que podem ser invocados por este controle
para que o utilizador/programador possa geri-los

Syntax

Sub object_CellClick([index,] vCell)

The CellClick event syntax has these parts:

Part | Description
object | A Tree object.
Index | An integer that uniquely identifies a control if it's in a control array.
vCell | A Cell object.


CellInstanceClick event

Syntax

Sub object_CellInstanceClick([index,] CellInstance)

The CellInstanceClick event syntax has these parts:

Part | Description
object | An Editor object.
Index | An integer that uniquely identifies a control if it's in a control array.
CellInstance | A CellInstance object.


CellInstanceDblClick event

Syntax

Sub object_CellInstanceDblClick([index,] CellInstance)

The CellInstanceDblClick event syntax has these parts:

Part | Description
object | An Editor object.
Index | An integer that uniquely identifies a control if it's in a control array.
CellInstance | A CellInstance object.


CellMouseUp event

Syntax

Sub object_CellMouseUp([index,] Cell, Button, Shift)

The CellMouseUp event syntax has these parts:

Part | Description
object | A ProjectExplorer object.
Index | An integer that uniquely identifies a control if it's in a control array.
Cell | A Cell object.
Button | An Integer value.
Shift | An Integer value.


Click event

Event Declarations:

Syntax

Sub object_Click([index] )

The Click event syntax has these parts:

Part | Description
object | An Editor object.
Index | An integer that uniquely identifies a control if it's in a control array.


HorizontalLine event

Syntax

Sub object_HorizontalLine([index,] y)

The HorizontalLine event syntax has these parts:

Part | Description
object | An Editor object.
Index | An integer that uniquely identifies a control if it's in a control array.
y | A Long value.


KeyDown event

Syntax

Sub object_KeyDown([index,] KeyCode, Shift)

The KeyDown event syntax has these parts:

Part | Description
object | A ProjectExplorer object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyCode | An Integer value.
Shift | An Integer value.


KeyPress event

Syntax

Sub object_KeyPress([index,] KeyAscii)

The KeyPress event syntax has these parts:

Part | Description
object | A ProjectExplorer object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyAscii | An Integer value.


KeyUp event

Syntax

Sub object_KeyUp([index,] KeyCode, Shift)

The KeyUp event syntax has these parts:

Part | Description
object | A ProjectExplorer object.
Index | An integer that uniquely identifies a control if it's in a control array.
KeyCode | An Integer value.
Shift | An Integer value.


MouseDown event

Syntax

Sub object_MouseDown([index,] Button, Shift, x, y)

The MouseDown event syntax has these parts:

Part | Description
object | A ProjectExplorer object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
x | A Single value.
y | A Single value.


MouseMove event

Syntax

Sub object_MouseMove([index,] Button, Shift, x, y)

The MouseMove event syntax has these parts:

Part | Description
object | A ProjectExplorer object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
x | A Single value.
y | A Single value.


MouseUp event

Syntax

Sub object_MouseUp([index,] Button, Shift, x, y)

The MouseUp event syntax has these parts:

Part | Description
object | A ProjectExplorer object.
Index | An integer that uniquely identifies a control if it's in a control array.
Button | An Integer value.
Shift | An Integer value.
x | A Single value.
y | A Single value.


RectangleClick event

Syntax

Sub object_RectangleClick([index,] Rectangle)

The RectangleClick event syntax has these parts:

Part | Description
object | An Editor object.
Index | An integer that uniquely identifies a control if it's in a control array.
Rectangle | A Rectangle object.


RectangleDblClick event

Syntax

Sub object_RectangleDblClick([index,] Rectangle)

The RectangleDblClick event syntax has these parts:

Part | Description
object | An Editor object.
Index | An integer that uniquely identifies a control if it's in a control array.
Rectangle | A Rectangle object.


SelectionChanged event

Syntax

Sub object_SelectionChanged([index] )

The SelectionChanged event syntax has these parts:

Part | Description
object | An Editor object.
Index | An integer that uniquely identifies a control if it's in a control array.


VerticalLine event

Syntax

Sub object_VerticalLine([index,] x)

The VerticalLine event syntax has these parts:

Part | Description
object | An Editor object.
Index | An integer that uniquely identifies a control if it's in a control array.
x | A Long value.


ZoomAreaSelected event

Syntax

Sub object_ZoomAreaSelected([index,] X1, X2, Y1, Y2, Cancel)

The ZoomAreaSelected event syntax has these parts:

Part | Description
object | An Editor object.
Index | An integer that uniquely identifies a control if it's in a control array.
X1 | A Long value.
X2 | A Long value.
Y1 | A Long value.
Y2 | A Long value.
Cancel | A Boolean value.


UMLeEditorTypeConstants enumeration

Members

Constant | Description
UMLeEditorTypeSelection | Selecção de rectângulos
UMLeEditorTypeZoom | Zoom à selecção
UMLeEditorTypeRectangleLayer | Rectangulo de uma dada Layer
UMLeEditorTypeHorizontalLine |
UMLeEditorTypeVerticalLine |


eView udt

Members

Name | Type | Description
Selected | Collection |
selected_cellinst | Collection |
selected_labels | Collection |
Axis | Boolean |
Zoom | Double |
X1 | Long | Coordenadas em Lambdas do LUC
Y1 | Long |
X2 | Long |
Y2 | Long |


POINTAPI udt

Members

Name | Type | Description
x | Long |
y | Long |